.sale_banner,
.main_banner_after_banner.sale_banner {
    position: relative;
    z-index: 1;
    margin-top: 24px !important;
    margin-bottom: 24px !important;
    clear: both;
}

#breadcrumbs:has(+ .sale_banner) {
    margin-bottom: 24px !important;
}

.sale_banner--single .swiper-button-prev,
.sale_banner--single .swiper-button-next,
.sale_banner--single .swiper-pagination {
    display: none !important;
}

.sale_banner .main_banner_slider {
    position: relative;
}

.sale_banner .main_banner {
    display: block;
    position: relative;
    overflow: hidden;
    margin: 0;
    height: auto !important;
}

.sale_banner .main_banner .swiper-wrapper {
    height: auto !important;
    align-items: flex-start;
}

.sale_banner .main_banner .swiper-slide {
    height: auto !important;
}

.sale_banner .main_banner .banner__link {
    overflow: hidden;
    display: block;
    width: 100%;
    max-width: 100%;
    height: auto;
    position: relative;
}

.sale_banner .main_banner picture,
.sale_banner .main_banner img {
    display: block;
    width: 100%;
    height: auto;
    max-width: 100%;
    margin: 0;
    object-fit: unset;
}

.sale_banner .main_banner .mobile {
    display: none;
}

.sale_banner .main_banner_slider .swiper-pagination-bullets {
    position: absolute;
    z-index: 10;
    left: 100px;
    bottom: 50px;
    display: flex;
    pointer-events: none;
}

.sale_banner .main_banner_slider .swiper-pagination-bullet {
    display: block;
    width: 11px;
    height: 11px;
    border: 2px solid var(--main-txt);
    background: var(--main-txt);
    border-radius: 10px;
    margin: 0 8px;
    transform: scale(0.5);
    transition: .3s ease;
}

.sale_banner .main_banner_slider .swiper-pagination-bullet.swiper-pagination-bullet-active {
    background: transparent;
    transform: scale(1);
}

.sale_banner .main_banner_slider .swiper-button-next {
    right: 10px;
}

.sale_banner .main_banner_slider .swiper-button-prev {
    left: 10px;
}

.sale_banner .main_banner_slider .swiper-button-next,
.sale_banner .main_banner_slider .swiper-button-prev {
    background: none;
    border: none;
}

.sale_banner .main_banner_slider .swiper-button-next:hover,
.sale_banner .main_banner_slider .swiper-button-prev:hover {
    opacity: 0.6;
}

.sale_banner .main_banner_slider .swiper-button-disabled {
    opacity: 0.2 !important;
    pointer-events: auto;
}

.sale_banner .main_banner_slider .swiper-button-next svg,
.sale_banner .main_banner_slider .swiper-button-prev svg {
    transform: none !important;
}

@media (max-width: 1350px) {
    .sale_banner .main_banner_slider .swiper-pagination-bullets {
        left: 50px;
    }
}

@media (max-width: 992px) {
    .sale_banner .main_banner_slider .swiper-pagination-bullets {
        left: 30px;
    }

    .sale_banner .main_banner_slider .swiper-button-prev {
        left: 0;
    }

    .sale_banner .main_banner_slider .swiper-button-next {
        right: 0;
    }
}

@media (max-width: 768px) {
    .sale_banner .main_banner_slider .swiper-pagination-bullets {
        left: 20px;
        bottom: 30px;
    }

    .sale_banner .main_banner_slider .swiper-button-prev,
    .sale_banner .main_banner_slider .swiper-button-next {
        display: none;
    }
}

@media (max-width: 576px) {
    .sale_banner .main_banner_slider .swiper-pagination-bullets {
        left: 20px;
        bottom: 20px;
    }
}
